com.creamtec.ajaxswing.core

## Class AjaxSwingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.creamtec.ajaxswing.core.AjaxSwingException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    RequestTimeoutException

      public class AjaxSwingException
      extends java.lang.RuntimeException

  Used to report all errors in AjaxSwing
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EXIT_VM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingException(java.lang.String msg)` Initializes exception
    `AjaxSwingException(java.lang.String msg, boolean traceStack)` Initializes exception
    `AjaxSwingException(java.lang.String msg, int code)` Initializes exception
    `AjaxSwingException(java.lang.String msg, int code, java.lang.Throwable nested)` Initializes exception
    `AjaxSwingException(java.lang.String msg, int code, java.lang.Throwable nested, boolean traceStack)` Initializes exception
    `AjaxSwingException(java.lang.String msg, java.lang.Throwable nested)` Initializes exception
    `AjaxSwingException(java.lang.String msg, java.lang.Throwable nested, boolean traceStack)` Initializes exception

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Returns exception code
    `boolean` | `traceStack()` Returns true if the stack trace of this exception should be written to System.err and the log file

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EXIT_VM

          public static final int EXIT_VM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AjaxSwingException

          public AjaxSwingException(java.lang.String msg)

      Initializes exception
      Parameters:
        `msg` - message

    - #### AjaxSwingException

          public AjaxSwingException(java.lang.String msg,
                            boolean traceStack)

      Initializes exception
      Parameters:
        `msg` - message
        `traceStack` - if true, the exception stack will be dumped into System.err

    - #### AjaxSwingException

          public AjaxSwingException(java.lang.String msg,
                            java.lang.Throwable nested)

      Initializes exception
      Parameters:
        `msg` - message
        `nested` - the original exception that triggered this error

    - #### AjaxSwingException

          public AjaxSwingException(java.lang.String msg,
                            java.lang.Throwable nested,
                            boolean traceStack)

      Initializes exception
      Parameters:
        `msg` - message
        `nested` - the original exception that triggered this error
        `traceStack` - if true, the exception stack will be dumped into System.err

    - #### AjaxSwingException

          public AjaxSwingException(java.lang.String msg,
                            int code)

      Initializes exception
      Parameters:
        `msg` - message
        `code` - error code

    - #### AjaxSwingException

          public AjaxSwingException(java.lang.String msg,
                            int code,
                            java.lang.Throwable nested)

      Initializes exception
      Parameters:
        `msg` - message
        `code` - error code
        `nested` - the original exception that triggered this error

    - #### AjaxSwingException

          public AjaxSwingException(java.lang.String msg,
                            int code,
                            java.lang.Throwable nested,
                            boolean traceStack)

      Initializes exception
      Parameters:
        `msg` - message
        `code` - error code
        `traceStack` - if true, the exception stack will be dumped into System.err

  - ### Method Detail

    - #### getCode

          public int getCode()

      Returns exception code
      Returns:
        exception code

    - #### traceStack

          public boolean traceStack()

      Returns true if the stack trace of this exception should be written to System.err and the log file
      Returns:
        true to trace the stack

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.